> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List secret labels

> Returns a list of logical secret names with matching category prioritized at the top for use in admin UI dropdowns



## OpenAPI

````yaml /api-reference/5.18/fusion-api-apps-manager.json get /vault/labels
openapi: 3.0.1
info:
  title: Fusion Apps Manager API
  description: API for the Apps Manager service for Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: FUSION_HOST/apps-manager
security: []
tags:
  - name: Entitlements consumption API
    description: Endpoints to get entitlements-related information.
  - name: Entitlements consumption records API
    description: Endpoints for calculating the records consumption.
  - name: Entitlements consumption report API
    description: Endpoints to generate consumption reports.
  - name: Entitlements consumption requests API
    description: Endpoints for calculating the requests consumption.
  - name: Fusion license API
    description: Endpoints to retrieve and replace Fusion licenses.
  - name: Fusion Vault
    description: Endpoints for accessing secrets stored in Kubernetes via Fusion Vault.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /vault/labels:
    get:
      tags:
        - Fusion Vault
      summary: List secret labels
      description: >-
        Returns a list of logical secret names with matching category
        prioritized at the top for use in admin UI dropdowns
      operationId: getLabels
      parameters:
        - name: type
          in: query
          description: 'Filter by type: ''secret'' (currently only secrets are supported)'
          required: false
          schema:
            type: string
        - name: category
          in: query
          description: >-
            Prioritize by category (from fusion/type annotation, e.g.,
            'credentials', 'jdbcConnectionString'). Matching items appear first.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved labels
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '500':
          description: K8s API unavailable
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string

````